Bug 1292567 - Packstack Installation Fails Due to New Heira Packages in RHEL-OSP 8.0
Packstack Installation Fails Due to New Heira Packages in RHEL-OSP 8.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
medium Severity high
: ---
: 8.0 (Liberty)
Assigned To: Ivan Chavero
yeylon@redhat.com
:
Depends On: 1289289
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 15:00 EST by Dustin Schoenbrun
Modified: 2016-04-18 03:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1289289
Environment:
Last Closed: 2015-12-30 03:03:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dustin Schoenbrun 2015-12-17 15:00:16 EST
+++ This bug was initially created as a clone of Bug #1289289 +++

Description of problem:
It seems like the versions of Heira supplied with RHEL 7.2 and the one needed for Packstack in RHEL-OSP 8.0 are incompatible. It appears to be a mismatch in the /etc/puppet/hiera.yaml file as to the yaml files it's searching for to find the variable data needed for installation. The version supplied is looking for "common" in the yaml file name whereas the files provided use the older nomenclature of "defaults". This causes the first variable lookup to fail. 

Version-Release number of selected component (if applicable):
puppet-3.6.2-3.el7.noarch
openstack-packstack-puppet-7.0.0-0.8.dev1661.gaf13b7e.el7ost.noarch
openstack-puppet-modules-7.0.3-1.el7ost.noarch


How reproducible:
This bug appears to be reproducible 100% of the time when using Packstack in RHEL-OSP 8.0

Steps to Reproduce:
1. Install RHEL 7.2
2. Install OpenStack Packstack (sudo yum install -y openstack-packstack)
3. Generate an answer file (packstack --gen-answer-file=answers.txt)
4. Use the answer file to install OpenStack (packstack --answer-file=answers.txt)
5. Note that this can also be done with the --allinone command. It does not seem to depend on the answer file. 

Actual results:
The packstack install process fails on the first variable look up. 

Expected results:
The packstack installation process shall complete successfully.

Additional info:
This appears to be the same issue that affected RDO Liberty detailed in https://bugzilla.redhat.com/show_bug.cgi?id=1284978

You can workaround this issue by modifying /etc/puppet/hiera.yaml and replacing the line
  - common
with
  - defaults 
under the :hierarchy: heading. Note that the packstack installation needs to fail once for this file to be present.
Comment 1 Ivan Chavero 2015-12-30 03:03:47 EST
This problem has been fixed in the current packstack package: openstack-packstack-7.0.0-0.9.dev1661.gaf13b7e.el7ost

Note You need to log in before you can comment on or make changes to this bug.